import 'package:json_annotation/json_annotation.dart';
import 'package:uqudo_flutter_plugin/builder/ReadingConfiguration.dart';
import 'package:uqudo_flutter_plugin/uqudo_builder.dart';
export 'package:uqudo_flutter_plugin/builder/Document.dart';

part 'Document.g.dart';

@JsonSerializable(includeIfNull: false)
class Document {
  DocumentType documentType;
  ReadingConfiguration readingConfiguration;
  bool isHelpPageVisible;
  int faceScanMinimumMatchLevel;
  int faceReadMinimumMatchLevel;
  Document(documentType, readingConfiguration, isHelpPageVisible,
      faceScanMinimumMatchLevel, faceReadMinimumMatchLevel) {
    this.documentType = documentType;
    this.readingConfiguration = readingConfiguration;
    this.isHelpPageVisible = isHelpPageVisible;
    this.faceScanMinimumMatchLevel = faceScanMinimumMatchLevel;
    this.faceReadMinimumMatchLevel = faceReadMinimumMatchLevel;
  }

  Map<String, dynamic> toJson() => _$DocumentToJson(this);
}
