import 'package:json_annotation/json_annotation.dart';
export 'package:uqudo_flutter_plugin/builder/FacialRecognitionConfiguration.dart';

part 'FacialRecognitionConfiguration.g.dart';

@JsonSerializable(includeIfNull: false)
class FacialRecognitionConfiguration {
  bool isHelpPageDisabled;
  bool enrollFace;
  int scanMinimumMatchLevel;
  int readMinimumMatchLevel;

  FacialRecognitionConfiguration(isHelpPageDisabled, enrollFace,
      scanMinimumMatchLevel, readMinimumMatchLevel) {
    this.isHelpPageDisabled = isHelpPageDisabled;
    this.enrollFace = enrollFace;
    this.scanMinimumMatchLevel = scanMinimumMatchLevel;
    this.readMinimumMatchLevel = readMinimumMatchLevel;
  }

  Map<String, dynamic> toJson() => _$FacialRecognitionConfigurationToJson(this);
}
