import 'package:json_annotation/json_annotation.dart';
export 'package:uqudo_flutter_plugin/builder/ReadingConfiguration.dart';

part 'ReadingConfiguration.g.dart';

@JsonSerializable(includeIfNull: false)
class ReadingConfiguration {
  bool forceReading;
  bool forceReadingIfSupported;

  ReadingConfiguration(forceReading, forceReadingIfSupported) {
    this.forceReading = forceReading;
    this.forceReadingIfSupported = forceReadingIfSupported;
  }

  Map<String, dynamic> toJson() => _$ReadingConfigurationToJson(this);
}
